<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionLowerFlag Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/ddc/class_action_lower_flag.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionLowerFlag Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionLowerFlag:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dc/ddc/class_action_lower_flag.png" usemap="#ActionLowerFlag_map" alt=""/>
  <map id="ActionLowerFlag_map" name="ActionLowerFlag_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,139,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a58a3979d73339c57796326b227b80a5e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/class_action_lower_flag.html#a58a3979d73339c57796326b227b80a5e">ActionLowerFlag</a> ()</td></tr>
<tr class="separator:a58a3979d73339c57796326b227b80a5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e3d8d847eb2033fe535041306a9cbd8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/class_action_lower_flag.html#a6e3d8d847eb2033fe535041306a9cbd8">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a6e3d8d847eb2033fe535041306a9cbd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65c19cc15beb7cc2de4497289115bc9e"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/class_action_lower_flag.html#a65c19cc15beb7cc2de4497289115bc9e">GetInputType</a> ()</td></tr>
<tr class="separator:a65c19cc15beb7cc2de4497289115bc9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0add33a38491f8d4cf1ff1ba88a1abb"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/class_action_lower_flag.html#ae0add33a38491f8d4cf1ff1ba88a1abb">HasTarget</a> ()</td></tr>
<tr class="separator:ae0add33a38491f8d4cf1ff1ba88a1abb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a3524eff0dcc8d9ce320ac616e8d05b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/class_action_lower_flag.html#a4a3524eff0dcc8d9ce320ac616e8d05b">HasProgress</a> ()</td></tr>
<tr class="separator:a4a3524eff0dcc8d9ce320ac616e8d05b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad847e8f7bc0bf95bb454936406e26e07"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/class_action_lower_flag.html#ad847e8f7bc0bf95bb454936406e26e07">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:ad847e8f7bc0bf95bb454936406e26e07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70128c5af8994e9629f3e3064b1993a9"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/class_action_lower_flag.html#a70128c5af8994e9629f3e3064b1993a9">OnFinishProgressServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a70128c5af8994e9629f3e3064b1993a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/dc5/_action_lower_flag_8c_source.html#l00002">2</a> of file <a class="el" href="../../de/dc5/_action_lower_flag_8c_source.html">ActionLowerFlag.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a58a3979d73339c57796326b227b80a5e" name="a58a3979d73339c57796326b227b80a5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58a3979d73339c57796326b227b80a5e">&#9670;&#160;</a></span>ActionLowerFlag()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionLowerFlag::ActionLowerFlag </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dc5/_action_lower_flag_8c_source.html#l00004">4</a> of file <a class="el" href="../../de/dc5/_action_lower_flag_8c_source.html">ActionLowerFlag.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad847e8f7bc0bf95bb454936406e26e07" name="ad847e8f7bc0bf95bb454936406e26e07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad847e8f7bc0bf95bb454936406e26e07">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionLowerFlag::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dc5/_action_lower_flag_8c_source.html#l00034">34</a> of file <a class="el" href="../../de/dc5/_action_lower_flag_8c_source.html">ActionLowerFlag.c</a>.</p>

</div>
</div>
<a id="a6e3d8d847eb2033fe535041306a9cbd8" name="a6e3d8d847eb2033fe535041306a9cbd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e3d8d847eb2033fe535041306a9cbd8">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionLowerFlag::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dc5/_action_lower_flag_8c_source.html#l00013">13</a> of file <a class="el" href="../../de/dc5/_action_lower_flag_8c_source.html">ActionLowerFlag.c</a>.</p>

</div>
</div>
<a id="a65c19cc15beb7cc2de4497289115bc9e" name="a65c19cc15beb7cc2de4497289115bc9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65c19cc15beb7cc2de4497289115bc9e">&#9670;&#160;</a></span>GetInputType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ActionLowerFlag::GetInputType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dc5/_action_lower_flag_8c_source.html#l00019">19</a> of file <a class="el" href="../../de/dc5/_action_lower_flag_8c_source.html">ActionLowerFlag.c</a>.</p>

</div>
</div>
<a id="a4a3524eff0dcc8d9ce320ac616e8d05b" name="a4a3524eff0dcc8d9ce320ac616e8d05b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a3524eff0dcc8d9ce320ac616e8d05b">&#9670;&#160;</a></span>HasProgress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionLowerFlag::HasProgress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dc5/_action_lower_flag_8c_source.html#l00029">29</a> of file <a class="el" href="../../de/dc5/_action_lower_flag_8c_source.html">ActionLowerFlag.c</a>.</p>

</div>
</div>
<a id="ae0add33a38491f8d4cf1ff1ba88a1abb" name="ae0add33a38491f8d4cf1ff1ba88a1abb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0add33a38491f8d4cf1ff1ba88a1abb">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionLowerFlag::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dc5/_action_lower_flag_8c_source.html#l00024">24</a> of file <a class="el" href="../../de/dc5/_action_lower_flag_8c_source.html">ActionLowerFlag.c</a>.</p>

</div>
</div>
<a id="a70128c5af8994e9629f3e3064b1993a9" name="a70128c5af8994e9629f3e3064b1993a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70128c5af8994e9629f3e3064b1993a9">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionLowerFlag::OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dc5/_action_lower_flag_8c_source.html#l00050">50</a> of file <a class="el" href="../../de/dc5/_action_lower_flag_8c_source.html">ActionLowerFlag.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../de/dc5/_action_lower_flag_8c_source.html">ActionLowerFlag.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/ddc/class_action_lower_flag.html">ActionLowerFlag</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
